> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ocoya.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete post

> Deletes a post by Post id and cancels all schedules. Returns nothing.



## OpenAPI

````yaml /openapi.yaml delete /post/{postId}
openapi: 3.1.0
info:
  version: 1.1.0
  title: Ocoya API
  description: REST API reference for Ocoya.
servers:
  - url: https://app.ocoya.com/api/_public/v1
security:
  - ApiKeyAuth: []
paths:
  /post/{postId}:
    delete:
      summary: Delete post
      description: Deletes a post by Post id and cancels all schedules. Returns nothing.
      parameters:
        - in: path
          name: postId
          required: true
          description: Ocoya post ID.
          schema:
            type: string
            example: cmajvvb9q0003ja5vh0538j6r
      responses:
        '200':
          description: Success
        '500':
          description: Unknown error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````